package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF6D7 extends MwfRequest<MWF6D7, MWF6D7Response> {

    @Parameter(name = "CIF")
    MWF6D7 cif(String cif);
    @Parameter(name = "CM_ID")
    MWF6D7 cmId(String cmId);
    @Parameter(name = "DokumentTyp")
    MWF6D7 dokumentTyp(String dokumentTyp);
    @Parameter(name = "NewVersion")
    MWF6D7 newVersion(String newVersion);
    @Parameter(name = "Produkt")
    MWF6D7 produkt(String produkt);
    @Parameter(name = "URLDokumentu")
    MWF6D7 uRLDokumentu(String uRLDokumentu);
}
